### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
BlackYoYInflationCouponPricer Class Reference

Black-formula pricer for capped/floored yoy inflation coupons. More...

`#include <ql/cashflows/inflationcouponpricer.hpp>`

Inheritance diagram for BlackYoYInflationCouponPricer:
[legend]

List of all members.

## Public Member Functions

| BlackYoYInflationCouponPricer (const Handle< YoYOptionletVolatilitySurface > &capletVol=Handle< YoYOptionletVolatilitySurface >())

## Protected Member Functions

Real | optionletPriceImp (Option::Type, Real strike, Real forward, Real stdDev) const

## Detailed Description

Black-formula pricer for capped/floored yoy inflation coupons.

## Member Function Documentation

Real optionletPriceImp | ( | Option::Type | ,
|  | Real | strike,
|  | Real | forward,
|  | Real | stdDev
| ) |  | const`[protected, virtual]`

usually only need implement this (of course they may need to re-implement initialize too ...)

Reimplemented from YoYInflationCouponPricer.